summaryrefslogtreecommitdiff
path: root/debian/patches
diff options
context:
space:
mode:
Diffstat (limited to 'debian/patches')
-rw-r--r--debian/patches/00list2
-rw-r--r--debian/patches/02_docviewer.dpatch37
-rw-r--r--debian/patches/03_gimp_acquire_menu.dpatch39
3 files changed, 78 insertions, 0 deletions
diff --git a/debian/patches/00list b/debian/patches/00list
new file mode 100644
index 0000000..349899e
--- /dev/null
+++ b/debian/patches/00list
@@ -0,0 +1,2 @@
+02_docviewer
+03_gimp_acquire_menu
diff --git a/debian/patches/02_docviewer.dpatch b/debian/patches/02_docviewer.dpatch
new file mode 100644
index 0000000..0d402e0
--- /dev/null
+++ b/debian/patches/02_docviewer.dpatch
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+## 02_docviewer.dpatch.dpatch by Aurelien Jarno <aurel32@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Change default browser to /usr/bin/sensible-browser.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad --exclude=CVS --exclude=.svn ./src/xsane.h /tmp/dpep-work.2gLqkG/xsane-0.97/src/xsane.h
+--- ./src/xsane.h 2005-01-22 16:18:40.000000000 +0100
++++ /tmp/dpep-work.2gLqkG/xsane-0.97/src/xsane.h 2005-08-28 18:56:38.410683378 +0200
+@@ -231,7 +231,7 @@
+ # elif defined(HAVE_OS2_H)
+ # define DEFAULT_BROWSER "netscape"
+ # else
+-# define DEFAULT_BROWSER "netscape"
++# define DEFAULT_BROWSER "/usr/bin/sensible-browser"
+ # endif
+ #endif
+
diff --git a/debian/patches/03_gimp_acquire_menu.dpatch b/debian/patches/03_gimp_acquire_menu.dpatch
new file mode 100644
index 0000000..d9832fe
--- /dev/null
+++ b/debian/patches/03_gimp_acquire_menu.dpatch
@@ -0,0 +1,39 @@
+#!/bin/sh -e
+## 03_gimp_acquire_menu.dpatch.dpatch by Aurelien Jarno <aurel32@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /scratch/xsane/xsane-0.91/src/xsane-text.h xsane-0.91/src/xsane-text.h
+--- /scratch/xsane/xsane-0.91/src/xsane-text.h 2003-01-05 18:05:55.000000000 +0100
++++ xsane-0.91/src/xsane-text.h 2003-06-03 23:43:49.000000000 +0200
+@@ -726,8 +726,8 @@
+ #define XSANE_GIMP_INSTALL_HELP _("This function provides access to scanners and other image acquisition devices through the SANE (Scanner Access Now Easy) interface.")
+
+ /* Menu path must not be translated, this is done by the gimp. Only translate the text behind the last "/" */
+-#define XSANE_GIMP_MENU_DIALOG _("<Toolbox>/File/Acquire/XSane: Device dialog...")
+-#define XSANE_GIMP_MENU _("<Toolbox>/File/Acquire/XSane: ")
++#define XSANE_GIMP_MENU_DIALOG _("<Toolbox>/File/Acquire/XSane/Device dialog...")
++#define XSANE_GIMP_MENU _("<Toolbox>/File/Acquire/XSane/")
+ #define XSANE_GIMP_MENU_DIALOG_OLD _("<Toolbox>/Xtns/XSane/Device dialog...")
+ #define XSANE_GIMP_MENU_OLD _("<Toolbox>/Xtns/XSane/")
+